package cn.com.poc.thirdparty.resource.demand.ai.entity.knowledge;

import cn.com.poc.thirdparty.resource.demand.dgTools.result.AbstractResult;

import java.io.Serializable;
import java.util.List;

public class GetKnowledgeChunkInfoResult extends AbstractResult implements Serializable {

    private static final long serialVersionUID = 11243413567468L;

    private Integer totalChunk;

    private List<ChunkInfo> chunkInfos;

    public Integer getTotalChunk() {
        return totalChunk;
    }

    public void setTotalChunk(Integer totalChunk) {
        this.totalChunk = totalChunk;
    }

    public List<ChunkInfo> getChunkInfos() {
        return chunkInfos;
    }

    public void setChunkInfos(List<ChunkInfo> chunkInfos) {
        this.chunkInfos = chunkInfos;
    }

    @Override
    public String toString() {
        return "GetKnowledgeChunkInfoResult{" +
                "totalChunk=" + totalChunk +
                ", chunkInfos=" + chunkInfos +
                '}';
    }
}
